org.eclnt.jsfserver.elements.componentnodes

## Class UI5M_NAVCONTAINERNode

- java.lang.Object
- - org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode
  - - org.eclnt.jsfserver.elements.componentnodes.UI5M_NAVCONTAINERNode

- All Implemented Interfaces:
    java.io.Serializable

      public class UI5M_NAVCONTAINERNode
      extends ROWDYNAMICCONTENTBinding.ComponentNode

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UI5M_NAVCONTAINERNode()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `UI5M_NAVCONTAINERNode` | `bindActionListener(IActionListenerDelegation value)`
    `UI5M_NAVCONTAINERNode` | `bindAdapterbinding(IDynamicContentBindingObject value)`
    `UI5M_NAVCONTAINERNode` | `bindComment(IDynamicContentBindingObject value)`
    `UI5M_NAVCONTAINERNode` | `bindConfiginfo(IDynamicContentBindingObject value)`
    `UI5M_NAVCONTAINERNode` | `bindDefaulttransitionname(IDynamicContentBindingObject value)`
    `UI5M_NAVCONTAINERNode` | `bindHeight(IDynamicContentBindingObject value)`
    `UI5M_NAVCONTAINERNode` | `bindLayoutdata(IDynamicContentBindingObject value)`
    `UI5M_NAVCONTAINERNode` | `bindRendered(IDynamicContentBindingObject value)`
    `UI5M_NAVCONTAINERNode` | `bindStyleseq(IDynamicContentBindingObject value)`
    `UI5M_NAVCONTAINERNode` | `bindStylevariant(IDynamicContentBindingObject value)`
    `UI5M_NAVCONTAINERNode` | `bindValue(IDynamicContentBindingObject value)`
    `UI5M_NAVCONTAINERNode` | `bindWidth(IDynamicContentBindingObject value)`
    `UI5M_NAVCONTAINERNode` | `setActionListener(java.lang.String value)`
    `UI5M_NAVCONTAINERNode` | `setAdapterbinding(java.lang.String value)`
    `UI5M_NAVCONTAINERNode` | `setAttributemacro(java.lang.String value)`
    `UI5M_NAVCONTAINERNode` | `setComment(java.lang.String value)`
    `UI5M_NAVCONTAINERNode` | `setConfiginfo(java.lang.String value)`
    `UI5M_NAVCONTAINERNode` | `setDefaulttransitionname(java.lang.String value)`
    `UI5M_NAVCONTAINERNode` | `setHeight(int value)`
    `UI5M_NAVCONTAINERNode` | `setHeight(java.lang.String value)`
    `UI5M_NAVCONTAINERNode` | `setId(java.lang.String value)`
    `UI5M_NAVCONTAINERNode` | `setLayoutdata(java.lang.String value)`
    `UI5M_NAVCONTAINERNode` | `setReference(java.lang.String value)`
    `UI5M_NAVCONTAINERNode` | `setRendered(boolean value)`
    `UI5M_NAVCONTAINERNode` | `setRendered(java.lang.String value)`
    `UI5M_NAVCONTAINERNode` | `setStyleseq(java.lang.String value)`
    `UI5M_NAVCONTAINERNode` | `setStylevariant(java.lang.String value)`
    `UI5M_NAVCONTAINERNode` | `setValue(java.lang.String value)`
    `UI5M_NAVCONTAINERNode` | `setWidth(int value)`
    `UI5M_NAVCONTAINERNode` | `setWidth(java.lang.String value)`

    - ### Methods inherited from class org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode

      `addAttribute, addAttribute, addSubNode, getAttribute, getAttributesMap, getAttributeValue, getSubNodes, getTagName, toString, toXML`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UI5M_NAVCONTAINERNode

          public UI5M_NAVCONTAINERNode()

  - ### Method Detail

    - #### setId

          public UI5M_NAVCONTAINERNode setId(java.lang.String value)

    - #### setActionListener

          public UI5M_NAVCONTAINERNode setActionListener(java.lang.String value)

    - #### bindActionListener

          public UI5M_NAVCONTAINERNode bindActionListener(IActionListenerDelegation value)

    - #### setAdapterbinding

          public UI5M_NAVCONTAINERNode setAdapterbinding(java.lang.String value)

    - #### bindAdapterbinding

          public UI5M_NAVCONTAINERNode bindAdapterbinding(IDynamicContentBindingObject value)

    - #### setAttributemacro

          public UI5M_NAVCONTAINERNode setAttributemacro(java.lang.String value)

    - #### setComment

          public UI5M_NAVCONTAINERNode setComment(java.lang.String value)

    - #### bindComment

          public UI5M_NAVCONTAINERNode bindComment(IDynamicContentBindingObject value)

    - #### setConfiginfo

          public UI5M_NAVCONTAINERNode setConfiginfo(java.lang.String value)

    - #### bindConfiginfo

          public UI5M_NAVCONTAINERNode bindConfiginfo(IDynamicContentBindingObject value)

    - #### setDefaulttransitionname

          public UI5M_NAVCONTAINERNode setDefaulttransitionname(java.lang.String value)

    - #### bindDefaulttransitionname

          public UI5M_NAVCONTAINERNode bindDefaulttransitionname(IDynamicContentBindingObject value)

    - #### setHeight

          public UI5M_NAVCONTAINERNode setHeight(java.lang.String value)

    - #### bindHeight

          public UI5M_NAVCONTAINERNode bindHeight(IDynamicContentBindingObject value)

    - #### setHeight

          public UI5M_NAVCONTAINERNode setHeight(int value)

    - #### setLayoutdata

          public UI5M_NAVCONTAINERNode setLayoutdata(java.lang.String value)

    - #### bindLayoutdata

          public UI5M_NAVCONTAINERNode bindLayoutdata(IDynamicContentBindingObject value)

    - #### setReference

          public UI5M_NAVCONTAINERNode setReference(java.lang.String value)

    - #### setRendered

          public UI5M_NAVCONTAINERNode setRendered(java.lang.String value)

    - #### bindRendered

          public UI5M_NAVCONTAINERNode bindRendered(IDynamicContentBindingObject value)

    - #### setRendered

          public UI5M_NAVCONTAINERNode setRendered(boolean value)

    - #### setStyleseq

          public UI5M_NAVCONTAINERNode setStyleseq(java.lang.String value)

    - #### bindStyleseq

          public UI5M_NAVCONTAINERNode bindStyleseq(IDynamicContentBindingObject value)

    - #### setStylevariant

          public UI5M_NAVCONTAINERNode setStylevariant(java.lang.String value)

    - #### bindStylevariant

          public UI5M_NAVCONTAINERNode bindStylevariant(IDynamicContentBindingObject value)

    - #### setValue

          public UI5M_NAVCONTAINERNode setValue(java.lang.String value)

    - #### bindValue

          public UI5M_NAVCONTAINERNode bindValue(IDynamicContentBindingObject value)

    - #### setWidth

          public UI5M_NAVCONTAINERNode setWidth(java.lang.String value)

    - #### bindWidth

          public UI5M_NAVCONTAINERNode bindWidth(IDynamicContentBindingObject value)

    - #### setWidth

          public UI5M_NAVCONTAINERNode setWidth(int value)

Copyright © CaptainCasa Gmbh. All Rights Reserved.